{
	"publisher": "CSTM Games",
	"name": "CSTM-RESOURCE-GENERATOR",
	"displayName": "CSTM Five Alive Resource Generator",
	"description": "This is an internal tool to help you in creating a new basic lua resource for FiveAlive",
	"version": "0.5.0",
	"engines": {
		"vscode": "^1.59.0"
	},
	"categories": [
		"Other"
	],
	"author": {
		"name": "CSTM Games"
	},
	"repository": {
		"type": "git",
		"url": "https://github.com/Custommuscle2/GTAVAlive"
	},
	"icon": "preview/fivem.png",
	"homepage": "https://github.com/Custommuscle2/GTAVAlive",
	"license": "GPLv3",
	"keywords": [
		"fivem",
		"lua",
		"resource",
		"script",
		"gta",
		"generator"
	],
	"activationEvents": [
		"onCommand:CSTM-fivem.generate-resource"
	],
	"main": "./extension.js",
	"files": [
		"template/fxmanifest.lua"
	],
	"directories": {},
	"contributes": {
		"commands": [
			{
				"command": "CSTM-fivem.generate-resource",
				"title": "Generate FiveM Resource From Template"
			}
		],
    "menus": {
				"explorer/context": [{
						"when": "explorerResourceIsFolder",
						"command": "CSTM-fivem.generate-resource"
			}]
		}
	},
	"scripts": {
		"lint": "eslint .",
		"pretest": "npm run lint",
		"test": "node ./test/runTest.js"
	},
	"devDependencies": {
		"@types/vscode": "^1.59.0",
		"@types/glob": "^7.1.3",
		"@types/mocha": "^8.2.2",
		"@types/node": "14.x",
		"eslint": "^7.27.0",
		"glob": "^7.1.7",
		"mocha": "^8.4.0",
		"typescript": "^4.3.2",
		"vscode-test": "^1.5.2"
	}
}
